# HEATDesalination
Simulation and optimisation of hybrid electric and thermal powered desalination systems

#### Table Of Contents

:link: [Dependencies](Dependencies)

:clap: [Acknowledgements](Acknowledgements)

[Downloading HEATDesalination](#downloading-heatdesalination)

🐍 [Setting up your Python environment](#setting-up-your-python-environment)
  * [Anaconda method](#anaconda-method)
  * [Pip install](#pip-install)

🌦️ [PVGIS](#pvgis)

:memo: [Completing input files](#completing-input-files)
* [Location-based files](#location-based-files)
* [System-based files](#system-based-files)

:fire: [Running HEATDesalination](#running-heatdesalination)
* [Fetching weather data](#fetching-weather-data)
* [Running a simulation](#running-a-simulation)
* [Running an optimisation](#running-an-optimisation)
* [Parallel simulation and optimisation](#parallel-simulation-and-optimisation)

🎓 [Running HEATDesalination on Imperial College London's high-performance computers](#running-heatdesalination-on-imperial-college-londons-high-performance-computers)

:memo: [References](References)

## Dependencies
This module imports libraries from:
* The open-source `pvlib` Python package developed by Holmgren, Hansen and Mikofski [[1]](#1).

This module integrates with the open-source PVGIS framework, developed by Huld et al., [[2]](#2).

## Acknowledgements
This repository uses code developed by the [CLOVER-energy](https://github.com/CLOVER-energy) team by Winchester et al. [(2022)](#3). Thanks to all at the [@CLOVER-energy/clover-development-team](https://github.com/orgs/CLOVER-energy/teams/clover-development-team) for their work.

## Downloading HEATDesalination

## Setting up your Python environment

### Anaconda method

### Pip install

## PVGIS

## Completing input files

### Location-based files

### System-based files

## Running HEATDesalination

### Fetching weather data

### Running a simulation

### Running an optimisation

### Parallel simulation and optimisation

## Running HEATDesalination on Imperial College London's high-performance computers

## References
<a id="1">[1]</a> 
Holmgren W.F., Hansen C.W., Mikofski M.A., pvlib python: a python package for modeling solar energy systems. Journal of Open Source Software 2018;3:884. [https://doi.org/10.21105/joss.00884](https://doi.org/10.21105/joss.00884)

<a id="2">[2]<a/>
Huld, T., Müller, R. and Gambardella, A., 2012. "A new solar radiation database for estimating PV performance in Europe and Africa". Solar Energy, 86, 1803-1815. [http://dx.doi.org/10.1016/j.solener.2012.03.006](http://dx.doi.org/10.1016/j.solener.2012.03.006)

<a id="2">[3]<a/>
Winchester, B., Beath, H., Nelson, J., & Sandwell, P. (2022). CLOVER (Version v5.0.5) [Computer software]. https://doi.org/10.5281/zenodo.6925535
